import 'package:flutter/material.dart';

class AddSiteDialog extends StatefulWidget {
  const AddSiteDialog({super.key});

  @override
  State<AddSiteDialog> createState() => _AddSiteDialogState();
}

class _AddSiteDialogState extends State<AddSiteDialog> {
  final controller = TextEditingController();

  @override
  Widget build(BuildContext context) {
    return AlertDialog(
      title: Text('Ajouter une URL'),
      content: TextField(
        controller: controller,
        decoration: InputDecoration(hintText: 'https://exemple.com'),
        autofocus: true,
      ),
      actions: [
        TextButton(
          child: Text('Annuler'),
          onPressed: () => Navigator.pop(context),
        ),
        ElevatedButton(
          child: Text('Ajouter'),
          onPressed: () => Navigator.pop(context, controller.text.trim()),
        ),
      ],
    );
  }
}
