class SiteLog {
  final DateTime date;
  final String url;
  final int statusCode;

  SiteLog(this.date, this.url, this.statusCode);

  String toCsv() => '${date.toIso8601String()},$url,$statusCode';

  static SiteLog fromCsv(String line) {
    final parts = line.split(',');
    return SiteLog(DateTime.parse(parts[0]), parts[1], int.parse(parts[2]));
  }
}
